# -*- coding: utf-8 -*-
import aiy.audio
import aiy.cloudspeech
import aiy.voicehat
import aiy.i18n

def main():
    # 言語設定を日本語にする
    aiy.i18n.set_language_code('ja-JP')
    recognizer = aiy.cloudspeech.get_recognizer()

    button = aiy.voicehat.get_button()
    led = aiy.voicehat.get_led()
    aiy.audio.get_recorder().start()

    while True:
        print('Press the button and speak')
        aiy.audio.say('ボタン押してください')
        button.wait_for_press()
        aiy.audio.say('ご用件をどうぞ')
        print('Listening...')
        text = recognizer.recognize()
        if text is None:
            print('Sorry, I did not hear you.')
            aiy.audio.say('すみません。よくわかりません')
        else:
            print('You said "', text, '"')
            if 'ライトをつけて' in text:
                led.set_state(aiy.voicehat.LED.ON)
                aiy.audio.say('ライトをつけました')
            elif 'ライトを消して' in text:
                led.set_state(aiy.voicehat.LED.OFF)
                aiy.audio.say('ライトを消しました')
            elif 'さようなら' or 'さよなら' in text:
                aiy.audio.say('また、いつでもどうぞ')
                break


if __name__ == '__main__':
    main()
